/**************************************************************************************************
 *  FILE:           main.c
 *
 *  DESCRIPTION:    main application module 
 *
 **************************************************************************************************
*/

/*----------------------------------------------------------------------------------*/
/*--- header includes --------------------------------------------------------------*/
/*----------------------------------------------------------------------------------*/

#include <avr/io.h>

/*----------------------------------------------------------------------------------*/
/*--- local macros and local inline functions --------------------------------------*/
/*----------------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------------*/
/*--- local type definitions -------------------------------------------------------*/
/*----------------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------------*/
/*--- definitions of global variables ----------------------------------------------*/
/*----------------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------------*/
/*--- definitions of static variables ----------------------------------------------*/
/*----------------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------------*/
/*--- definitions of global functions ----------------------------------------------*/
/*----------------------------------------------------------------------------------*/

int main (void)
{
    DDRB    =   (1<<DD5);   /* configure PB5 as output pin */
    PORTB   &=  ~(1<<PB5);  /* switch on LED (low-active) connected to this pin */
    
    for (;;); /* endless loop */
    
    return 0;
}
